Forum Linux.général Problème X Window System Error XFree86/X11

Posté par  . Licence CC By‑SA.
Étiquettes :
0
7
oct.
2015

Bonjour,
J'ai une installation avec un serveur qui export une petite fenêtre avec un bouton sur un terminal assez basique
Ma configuration actuelle :
Terminal : Linux kernel 2.4.3 i586, XFree86 3.3.6 (1999)
Serveur : Linux kernel 2.6.9 X64
J'utilise un script Python GTK2 pour créer la fenêtre et fait un "export DISPLAY=Terminal:0.0" avant de lancer mon script
Dans cette configuration, ma fenêtre+bouton s'affiche bien sur le terminal et l'utilisateur clique dessus sans problème.

Je viens de mettre à jour la version Linux du serveur. C'est maintenant un kernel 2.6.18-164,
Les version X11, python, GTK … sont donc maintenant plus récentes côté serveur, et le terminal par contre n'a pas été touché.

Il se trouve que maintenant ma fenêtre+bouton s'affiche toujours correctement, par contre au moment ou l'utilisateur appuie sur le bouton ou quand je passe la souris dessus, je reçois dans mon programme python une erreur X Window System

"The program 'monscript.py' received an X Window System error.
The error was 'BadMatch (invalid parameter atttributes)'.
(Details: serial 554 error_code 8 request_code 72 minor_code 0)

Je suppose (peut-être à tort) que c'est un problème de compatibilité de protocole et de versions entre le serveur X du terminal et la nouvelle version du client X sur le serveur.
J'ai cru voir que ce serait peut-être un problème de colordepth 32bit qui doit être le même que le parent, mais dans le sens où ma fenêtre s'affiche correctement avec l'image souhaitée, je ne pense pas que ce soit cela. Peut-être un autre paramètre mais je ne sais pas trop comment le changer vu que je passe par le module GTK de python qui n'offre pas beaucoup de configuration bas niveau comme ça.

Etant donné que je ne peux pas ni mettre à jour le XFree86 du terminal ni downgrader le version X11 du serveur… je ne vois pas trop comment m'en sortir. Est-ce possible en PyGTK de préciser d'utiliser une version antérieure de X11 ?
Si quelqu'un à une idée de comment résoudre ce problème ?
Merci d'avance
RV

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n’en sommes pas responsables.